package com.mysema.commons.thumbs;

import java.awt.Graphics;
import java.awt.image.BufferedImage;

public final class ImageUtils {
    
    private ImageUtils(){}
    
    public static BufferedImage rectangularCrop(BufferedImage img){
        if (img.getWidth() != img.getHeight()){
            int size = Math.min(img.getWidth(), img.getHeight());
            int xoff = (img.getWidth() - size) / 2; 
            int yoff = (img.getHeight() - size) / 2;
            BufferedImage dest = new BufferedImage(size, size, BufferedImage.TYPE_INT_ARGB);
            Graphics graphics = dest.createGraphics();
            graphics.drawImage(img, 0, 0, size, size, xoff, yoff, size + xoff, size + yoff, null);
            graphics.dispose();
            return dest;    
        }else{
            return img;
        }
        
    }

}
